Bug 2002925 - Keys not working after standby on Thinkpad T14s Gen. 1
Summary: Keys not working after standby on Thinkpad T14s Gen. 1
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 34
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-10 05:51 UTC by Matthias Schuh
Modified: 2022-05-12 15:22 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Matthias Schuh 2021-09-10 05:51:50 UTC
Description of problem:
After bringing my Thinkpad T14s Gen1. back from standby (Opening the lid) the BackSpace Key and Enter-Key do not work. To be able to login I have to activate the on-screen keyboard. I seem to be able to recover by activating / deactivating the full hardware keyboard function after activating / deactivating the on-screen keyboards once I'm logged in.

Version-Release number of selected component (if applicable):
In perallel to the described behaviour on two occassions I received a Crash-report from:

gnome-shell 40.4-1.fc34.x86_64

xdg-desktop-portal-gtk 1.8.0-2.fc34.x86_64

How reproducible:

it is not 100% reproducible on my system, might be linked to Thinkpad T14s Gen1.
Come back from standby, try to login and use backspace or Enter

Steps to Reproduce:
1. Come back from standby by opening the lid
2. Enter password and try to press Enter to confirm
3. Use on-screen keyboard to resolve not functioning keys

Actual results:


Expected results:


Additional info:
Please tell me which logs I should collecte from which components if problem returns.

Comment 1 Matthias Schuh 2021-09-23 04:17:11 UTC
I would like to provide additional insight based on how far I can recall this happening in the past.

I beleive this problem started to happen with a kernel update a couples of weeks ago. At the beginning I discarded it as a bug of the gnome shell but I believe it is burried deeper.

I rolled back on the firmware releases of my ThinkPad because this was also something that changed in the last couple of weeks.
So far no effect.

Since this happens after sleep / hibernate I know believe this could have something to do with powersaving.
My Thinkpad T14s is now Firmware 1.34 and Power Saving hs always been set to "Linux" in Bios Config.

Once the problem appears, it will persist through reboots. Enter and Backspace will not even work in Bios or in Grub. A full power-down is necessary to recover function of the internal keyboard.

I now set Power Saving to Windows and will also test if my Windows on a second partition will also produce these problems.


Can I provide further logs?

Comment 2 Juanje Ojeda 2022-02-16 12:00:19 UTC
The exact thing happened to me as well. Same laptop, same Fedora 34 and xdg-desktop-portal-gtk version.

I've update a couple of times, but nothing. Those keys some time works, some the y don't. It's very frustrating. I tried to check some logs, but nothing stood out.

Any ideas on how to debug this?

Comment 3 Jonas Ådahl 2022-02-16 12:47:46 UTC
Does the same thing happen if you, e.g. in a terminal, run

    sudo libinput debug-events

    sudo evemu-record

    sudo hid-recorder

For the second two, you need to select the right device. Once running, these will log all input events to stdout.

The first one will log the events GNOME Shell is supposed to receive. The second one will log the events libinput is supposed to see. The third one is supposed to log the events evdev is supposed to see. Once resuming and logging in (with the touchscreen), see how they behave in response to pressing the keyboard, and we might be able to pinpoint where to look further.

Comment 4 Juanje Ojeda 2022-02-16 12:56:37 UTC
Thanks!
I'll try the next time it happens. It happens from time to time, not all the time.

Comment 5 Ben Cotton 2022-05-12 15:22:27 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.


Note You need to log in before you can comment on or make changes to this bug.